--NAME:GESA_SNMP_APC_PDU_HEALTH
--INFRA:GESA
INSERT INTO esia_plugins (plugin_id,plugin_name,plugin_path,plugin_type,plugin_trap_oid,plugin_default_parameter,plugin_default_interval_time,plugin_description,plugin_delete,plugin_priority,plugin_html_template,plugin_manufacturer,plugin_tag) VALUES (DEFAULT,'GESA_SNMP_APC_PDU_HEALTH','/usr/local/esia/plugins/check_nrpe','default',NULL,'-S $GESASN -H $NRPE_HOST -p 5666 -t 50 -u -c check_snmp_apc_pdu_health -a $IP $SNMP_COM 220',300000,'Récupère la consommation de ligne d''un PDU APC','false',7,'','APC','PDU,APC,HEALTH');


INSERT INTO rrd_plugins (rrd_plugin_id, rrd_type, rrd_regex, rrd_time,rrd_name,rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color)
	VALUES ((select plugin_id from esia_plugins where plugin_name='GESA_SNMP_APC_PDU_HEALTH'),'GAUGE','#watts=([0-9\.]*)#','300','Watt','0','-1','','AREA','#83bc00');

INSERT INTO rrd_plugins (rrd_plugin_id, rrd_type, rrd_regex, rrd_time,rrd_name,rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color)
	VALUES ((select plugin_id from esia_plugins where plugin_name='GESA_SNMP_APC_PDU_HEALTH'),'GAUGE','#KWH=([0-9\.]*)#','300','KWattH','0','-1','','LINE1','#007FFF');


--NAME:GESA_SNMP_APC_PDU_OUTLET
--INFRA:GESA
INSERT INTO esia_plugins (plugin_id,plugin_name,plugin_path,plugin_type,plugin_trap_oid,plugin_default_parameter,plugin_default_interval_time,plugin_description,plugin_delete,plugin_priority,plugin_html_template,plugin_manufacturer,plugin_tag) VALUES (DEFAULT,'GESA_SNMP_APC_PDU_OUTLET','/usr/local/esia/plugins/check_nrpe','default',NULL,'-S $GESASN -H $NRPE_HOST -p 5666 -t 50 -u -c check_snmp_apc_pdu_outlet -a $IP $SNMP_COM 220 "" ""',300000,'Récupère le status des prises d''un PDU APC','false',7,'','APC','PDU,APC,OUTLET');



-- 'SNMP_APC_PDU_HEALTH' =>'Etat de santé - $1',
-- 'SNMP_APC_PDU_OUTLET' =>'Status des prises - $1',


-- nrpe.conf
-- #
-- #APC
-- #
-- command[check_snmp_apc_pdu_health]=/usr/lib/nagios/plugins/check_snmp_apc_pdu.pl -H $ARG1$ -C $ARG2$ -T health -v $ARG3$
-- command[check_snmp_apc_pdu_outlet]=/usr/lib/nagios/plugins/check_snmp_apc_pdu.pl -H $ARG1$ -C $ARG2$ -T outlet -v $ARG3$ -w $ARG4$ -i $ARG5$
